SFML 3.1.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Event::MouseMovedRaw Struct Reference

Mouse move raw event subtype. More...

`#include <SFML/Window/Event.hpp>`

## Public Attributes
Vector2i | delta
| Delta movement of the mouse since the last event.

## Detailed Description

Mouse move raw event subtype.

Raw mouse input data comes unprocessed from the operating system hence "raw". While the MouseMoved position value is dependent on the screen resolution, raw data is not. If the physical mouse is moved too little to cause the screen cursor to move at least a single pixel, no MouseMoved event will be generated. In contrast, any movement information generated by the mouse independent of its sensor resolution will always generate a MouseMovedRaw event.

In addition to screen resolution independence, raw mouse data also does not have mouse acceleration or smoothing applied to it as MouseMoved does.

Raw mouse movement data is intended for controlling non-cursor movement, e.g. controlling the camera orientation in a first person view, whereas MouseMoved is intended primarily for controlling things related to the screen cursor hence the additional processing applied to it.

Currently, raw mouse input events will only be generated on Windows and Linux.

Definition at line 192 of file Event.hpp.

## Member Data Documentation

## ◆ delta

Vector2i sf::Event::MouseMovedRaw::delta

Delta movement of the mouse since the last event.

Definition at line 194 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp